www.cendio.com
Bug 6194 - Reduce number of free licenses from 10 to 5
: Reduce number of free licenses from 10 to 5
Status: CLOSED FIXED
: ThinLinc
License system
: trunk
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-03-15 09:43 by
Modified: 2017-03-21 11:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-03-15 09:43:54
We have decided to reduce the number of free licenses from 10 to 5. The code
needs to be updated for this, as well as the EULA.
------- Comment #6 From cendio 2017-03-16 16:17:44 -------
All tests pass locally now.. but Jenkins test fails:

Traceback (most recent call last):
  File "/usr/lib/python2.6/unittest.py", line 279, in run
    testMethod()
  File
"/var/lib/jenkins/thinlinc_server_bundle/vsm/tests/test_licensehandler.py",
line 233, in test_warn_admin_msg
    self.assertEqual(self.calls[0][0], 'InputReturnCodeStdoutStderrProcess')
IndexError: list index out of range
------- Comment #8 From cendio 2017-03-17 08:13:47 -------
After the latest changes Jenkins still fails (tests still pass on my
workstation):

Traceback (most recent call last):
  File "/usr/lib/python2.6/unittest.py", line 279, in run
    testMethod()
  File "/usr/lib/python2.6/site-packages/mock/mock.py", line 1305, in patched
    return func(*args, **keywargs)
  File
"/var/lib/jenkins/thinlinc_server_bundle/vsm/tests/test_licensehandler.py",
line 240, in test_warn_admin_msg
    proc.call_args[0][3], "warning msg")
TypeError: 'NoneType' object is unsubscriptable
------- Comment #11 From cendio 2017-03-17 15:54:21 -------
Both the Jenkins build and the system tests should work now.
------- Comment #14 From cendio 2017-03-20 11:02:50 -------
Upgraded my ThinLinc installation and verified that i only got 5 concurrent
users with a hardlimit of 6:

  2017-03-19 03:46:08 INFO vsmserver: VSM Server version 4.7.0post build
5387.r32252 started
  2017-03-19 03:46:08 INFO vsmserver.license: Updating license data from disk
to memory
  2017-03-19 03:46:08 INFO vsmserver.license: License summary: 10 concurrent
users. Hard limit of 11 concurrent users. 
  2017-03-19 03:46:08 INFO vsmserver.session: Loaded 0 sessions for 0 users
from file

  2017-03-20 10:29:09 INFO vsmserver: VSM Server version 4.7.0post build 5402
started
  2017-03-20 10:29:09 INFO vsmserver.license: Updating license data from disk
to memory
  2017-03-20 10:29:09 INFO vsmserver.license: License summary: 5 concurrent
users. Hard limit of 6 concurrent users. 
  2017-03-20 10:29:09 INFO vsmserver.session: Loaded 0 sessions for 0 users
from file

Added 7 test users and verified that vsmserver logged the license violation
when creating the 6:th session and
that the 7:th login failed with the message "Cannot allocate license" at client
side.
------- Comment #15 From cendio 2017-03-20 12:19:51 -------
Found that licensekeys.xml for our TAG is not updated:

 "If no license files are installed on the cluster, a maximum of ten
  concurrent users are allowed."
------- Comment #17 From cendio 2017-03-20 12:42:40 -------
(In reply to comment #15)
> Found that licensekeys.xml for our TAG is not updated:
> 
>  "If no license files are installed on the cluster, a maximum of ten
>   concurrent users are allowed."

Fixed now!
------- Comment #18 From cendio 2017-03-20 12:54:05 -------
I couldn't find anything else related to the change. Everything looks good and
I will close this bug now.

However, there are still a few things to be done in sync when we push the new
release. Information about 10 free licenses on the web needs to be updated and
were the EULA is used. I will close and bring these points to the table for web
on next standup.